Search Results for

Show / Hide Table of Contents

# Class StatusItem

StatusItem objects are contained by StatusBar Views. Each StatusItem has a title, a shortcut (hotkey), and an Action that will be invoked when the Shortcut is pressed. The Shortcut will be a global hotkey for the application in the current context of the screen. The colour of the Title will be changed after each ~. A Title set to `~F1~ Help` will render as *F1* using HotNormal and *Help* as HotNormal.

##### Inheritance

System.Object
StatusItem

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class StatusItem : Object

### Constructors

#### StatusItem(Key, ustring, Action)

Initializes a new StatusItem.

##### Declaration

    public StatusItem(Key shortcut, ustring title, Action action)

##### Parameters

Type | Name | Description
--- | --- | ---
Key | shortcut | Shortcut to activate the StatusItem.
NStack.ustring | title | Title for the StatusItem.
System.Action | action | Action to invoke when the StatusItem is activated.

### Properties

#### Action

Gets or sets the action to be invoked when the statusbar item is triggered

##### Declaration

    public Action Action { get; }

##### Property Value

Type | Description
--- | ---
System.Action | Action to invoke.

#### Shortcut

Gets the global shortcut to invoke the action on the menu.

##### Declaration

    public Key Shortcut { get; }

##### Property Value

Type | Description
--- | ---
Key |

#### Title

Gets or sets the title.

##### Declaration

    public ustring Title { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring | The title.